GroupControllerAddMemberToGroups Method |
POST /Group/AddMemberToGroups/{id}
Adds a member from a series of groups.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPostAttribute]
[ActionNameAttribute("AddMemberToGroups")]
public IActionResult AddMemberToGroups(
Guid id,
[FromBodyAttribute] ModifyGroupOptions options,
Guid? sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("AddMemberToGroups")>
Public Function AddMemberToGroups (
id As Guid,
<FromBodyAttribute> options As ModifyGroupOptions,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpPostAttribute]
[ActionNameAttribute(L"AddMemberToGroups")]
IActionResult^ AddMemberToGroups(
Guid id,
[FromBodyAttribute] ModifyGroupOptions^ options,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("AddMemberToGroups")>]
member AddMemberToGroups :
id : Guid *
[<FromBodyAttribute>] options : ModifyGroupOptions *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- id
- Type: SystemGuid
The ID of the account/group to add. - options
- Type: Dundas.BI.WebApi.ModelsModifyGroupOptions
The list of ID's to be added to the group. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
IActionResultA status code indicating whether the operation was successful.
See Also